io.milvus.param.role

## Class AddUserToRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.AddUserToRoleParam.Builder

- Enclosing class:
    AddUserToRoleParam

      public static final class AddUserToRoleParam.Builder
      extends java.lang.Object

  Builder for `AddUserToRoleParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddUserToRoleParam` | `build()` Verifies parameters and creates a new `AddUserToRoleParam` instance.
    `AddUserToRoleParam.Builder` | `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.
    `AddUserToRoleParam.Builder` | `withUserName(@NonNull java.lang.String userName)` Sets the username.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withUserName

          public AddUserToRoleParam.Builder withUserName(@NonNull
                                                         @NonNull java.lang.String userName)

      Sets the username. UserName cannot be empty or null.
      Parameters:
        `userName` - userName
      Returns:
        `Builder`

    - #### withRoleName

          public AddUserToRoleParam.Builder withRoleName(@NonNull
                                                         @NonNull java.lang.String roleName)

      Sets the roleName. RoleName cannot be empty or null.
      Parameters:
        `roleName` - roleName
      Returns:
        `Builder`

    - #### build

          public AddUserToRoleParam build()
                                   throws ParamException

      Verifies parameters and creates a new `AddUserToRoleParam` instance.
      Returns:
        `AddUserToRoleParam`
      Throws:
        `ParamException`